Subject: bug#29047: 26.0.90; shr hang (regression from 25.3)

From: Eli Zaretskii <[email-masked]>
Date: Mon, 30 Oct 2017 20:54:57 +0200

> Date: Mon, 30 Oct 2017 15:21:17 +0900
> From: Katsumi Yamaoka <[email-masked]>
> Cc: Mike Kupfer <[email-masked]>,
>  Lars Ingebrigtsen <[email-masked]>, [email-masked]
> 
> Sorry, I did the 9eb028f change for fixing bug#24034:
> <https://lists.gnu.org/archive/html/bug-gnu-emacs/2016-07/msg01042.html>
> 
> > I can prevent the loop with the patch below.  I'm not sure this is the
> > right fix, though.  Comments?
> 
> That's ok, but the properties necessary to copy there are only
> `face' and `image-displayer'.  How about this one?
> 
> * lisp/net/shr.el (shr-fill-line): Copy only face and image-displayer
> properties to gaps (bug#29047).

Works for me, thanks.  Please push to the emacs-26 branch.